Skip to main content
POST
/
v1
/
admin
/
charters
/
products
Create charter product
curl --request POST \
  --url https://{operatorDomain}/v1/admin/charters/products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "chpr_01h...",
  "name": "<string>",
  "slug": "<string>",
  "yachtKey": "<string>"
}
'
{
  "key": "chpr_01h...",
  "name": "<string>",
  "slug": "<string>",
  "yachtKey": "<string>"
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Body

application/json
key
string
required
Example:

"chpr_01h..."

name
string
required
slug
string | null
yachtKey
string | null

Response

201 - application/json

Created product

key
string
required
Example:

"chpr_01h..."

name
string
required
slug
string | null
yachtKey
string | null